Name:           tilp2
Version:        1.17
Release:        6%{?dist}
Summary:        Texas Instruments handheld(s) <-> PC communication program

Group:          Applications/Communications
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        http://sourceforge.net/projects/tilp/files/tilp2-linux/%{name}-%{version}/%{name}-%{version}.tar.bz2
Source1:        https://tc01.fedorapeople.org/tilp2/tilp.appdata.xml
Source2:        https://tc01.fedorapeople.org/tilp2/tilp.png
# Patch to make tilp2 have a xpm icon rather than a png one for appdata.
# Tracked somewhat by https://github.com/debrouxl/tilp_and_gfm/issues/2
Patch0:         https://tc01.fedorapeople.org/tilp2/tilp_png_icon.patch
# Patch to make tilp2 use LT_INIT instead of AC_PROG_LIBTOOL
# https://github.com/debrouxl/tilp_and_gfm/issues/3
Patch1:         https://tc01.fedorapeople.org/tilp2/tilp-configure_macros.patch

BuildRequires:  glib2-devel, pkgconfig, bison, flex, texinfo, groff, xdg-utils, libtool, gettext
BuildRequires:  gtk2-devel, SDL-devel, autoconf, automake, zlib-devel, libusb1, libticalcs2-devel
BuildRequires:  intltool, desktop-file-utils, libappstream-glib, dconf, libXinerama-devel

%description
TiLP2 is a Texas Instruments handhelds <-> PC communication
program for Linux. It is able to use any type of link cable
(Gray/Black/Silver/Direct Link) with any calculator. See
http://lpg.ticalc.org/.

With TiLP, you can transfer files from your PC to your Texas
Instruments calculator, and vice-versa. You can also make a
screen dump, send/receive data, backup/restore contents,
install FLASH applications, or upgrade the  OS.

%prep
%setup -q
cp -p %SOURCE2 pixmaps/
%patch0 -p1
%patch1 -p1
#rm po/fr.gmo

%build
%configure --disable-rpath --with-xinerama
make %{?_smp_mflags}
make -C po fr.gmo
sed -i 's/\r$//' README README.linux AUTHORS RELEASE

%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/tilp.desktop
%find_lang %{name}
mkdir -p %{buildroot}%{_datadir}/appdata
install -p -m 644 %SOURCE1 %{buildroot}%{_datadir}/appdata/
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml

# Desktop scriplets.
%post
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%files -f %{name}.lang
%{_bindir}/tilp
%{_mandir}/man1/tilp.1.gz
%{_datadir}/tilp2/
%{_datadir}/applications/tilp.desktop
%{_datadir}/mime/packages/tilp.xml
%{_datadir}/appdata/tilp.appdata.xml

%doc README README.linux RELEASE NEWS AUTHORS ABOUT-NLS
%license COPYING

%changelog
* Thu Jan 05 2017 Ben Rosser <rosser.bjr@gmail.com> - 1.17-6
- Fix tilp appdata file; we need to refer to the correct desktop file.

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 08 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.17-4
- Updated desktop scriplets.

* Tue Sep 08 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.17-3
- Provided patch (that is going upstream also) to remove AC_PROG_LIBTOOL in favor of LT_INIT.
- Added scriplets to update the desktop database.
- Switched to using "cp -p" to install files manually.

* Sun Aug 30 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.17-2
- Updated appstream appdata file with French translations.
- Changed tilp2 desktop file to use a PNG icon for appdata.

* Tue Jul 28 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.17-1
- Switched to using find_lang macro.
- Moved COPYING file to license tag.
- Fixed file line endings on documentation files.
- Added an appdata XML file.
- Added Xinerama dependency.

* Sat Apr 20 2013 'Ben Rosser' <rosser.bjr@gmail.com> 1.17-0
- Updated to latest upstream tilp version

* Wed Sep 12 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.16-1
- Fixed spelling errors in specfile

* Thu Jul 05 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.16-0
- Updated package to version 1.16
- Vastly improved specfile

* Sat Jul 30 2011 'Ben Rosser' <rosser.bjr@gmail.com> 1.15-0
- Initial version of the package
